{{- if .Values.metrics.enabled }}
apiVersion: v1
kind: Service
metadata:
  name: {{ printf "%s-metrics" (include "common.names.fullname" .) }}
  namespace: {{ .Release.Namespace }}
  labels: {{- include "common.labels.standard" . | nindent 4 }}
    {{- if .Values.commonLabels }}
    {{- include "common.tplvalues.render" ( dict "value" .Values.commonLabels "context" $ ) | nindent 4 }}
    {{- end }}
    app.kubernetes.io/component: metrics
  {{- if or .Values.metrics.service.annotations .Values.commonAnnotations }}
  annotations:
    {{- if .Values.metrics.service.annotations }}
    {{- include "common.tplvalues.render" (dict "value" .Values.metrics.service.annotations "context" $) | nindent 4 }}
    {{- end }}
    {{- if .Values.commonAnnotations }}
    {{- include "common.tplvalues.render" ( dict "value" .Values.commonAnnotations "context" $ ) | nindent 4 }}
    {{- end }}
  {{- end }}
spec:
  type: {{ .Values.metrics.service.type }}
  ports:
    - port: {{ .Values.metrics.service.port }}
      targetPort: metrics
      protocol: TCP
      name: metrics
  selector: {{- include "common.labels.matchLabels" $ | nindent 4 }}
{{- end }}
